package test.auth

import auth.User

Feature: User login
	Users can login into the system

Background:
	User user
	String password
	boolean result
	Given a user with user name "j.smith" and password "pass1"
	password = args.second
	user = new User("", args.first, password)

Scenario: Users with correct credentials can login
	When the user tries to login with a correct credentials
	result = user.login(user.login, password)
	Then it works
	result => true
	
Scenario: Users with incorrect credentials can login
	When the user tries to login with a incorrect password "pass2"
	result = user.login(user.login, args.first)
	Then it doesn't work
	result => false

