package test.auth;

import org.hamcrest.StringDescription;
import org.jnario.lib.Should;
import org.jnario.runner.FeatureRunner;
import org.jnario.runner.Named;
import org.jnario.runner.Order;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import test.auth.UserLoginFeatureBackground;

@RunWith(FeatureRunner.class)
@Named("Scenario: Users with correct credentials can login")
@SuppressWarnings("all")
public class UserLoginFeatureUsersWithCorrectCredentialsCanLogin extends UserLoginFeatureBackground {
  @Test
  @Order(0)
  @Named("Given a user with user name \"j.smith\" and password \"pass1\"")
  public void givenAUserWithUserNameJSmithAndPasswordPass1() {
    super.givenAUserWithUserNameJSmithAndPasswordPass1();
  }
  
  @Test
  @Order(1)
  @Named("When the user tries to login with a correct credentials")
  public void whenTheUserTriesToLoginWithACorrectCredentials() {
    String _login = this.user.getLogin();
    boolean _login_1 = this.user.login(_login, this.password);
    this.result = _login_1;
  }
  
  @Test
  @Order(2)
  @Named("Then it works")
  public void thenItWorks() {
    boolean _doubleArrow = Should.operator_doubleArrow(Boolean.valueOf(this.result), Boolean.valueOf(true));
    Assert.assertTrue("\nExpected result => true but"
     + "\n     result is " + new StringDescription().appendValue(Boolean.valueOf(this.result)).toString() + "\n", _doubleArrow);
    
  }
}
